<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

?>

<?php include($this->rootDir . ESIG_DS . 'partials/_tab-nav.php'); ?>

<div class="about-wrap">
<p align="left"><h3><?php _e('APPROVEME TERMS OF SERVICE', 'esig' ); ?></h3><br />
<br />
  <strong><u><?php _e('1. Introduction', 'esig' );?></u></strong><br />
  <?php _e('Thank you for visiting ApproveMe and, if applicable, using our WordPress plugin WP E-Signature. Please read these Terms of Service and our Privacy Policy carefully, as by accessing our Site, and/or installing or using our WordPress plugin, you are agreeing to be bound by both documents.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('2. Definitions', 'esig' );?></u></strong><br />
  <?php _e('Throughout this Agreement, we may use certain words or phrases, and it is important that you understand the meaning of them. The list is not all-encompassing and no definition should be considered binding to the point that it renders this Agreement nonsensical:<br /><br />
  &ldquo;Agreement&rdquo; refers to these Terms of Service;<br /><br />
  &ldquo;ApproveMe&rdquo; refers to our company, known as &ldquo;RockStar(idea)&rdquo;; our Site; our Plugin; our Service; or a combination of all or some of the preceding definitions, depending on the context in which the word is used;<br /><br />
  &ldquo;Plugin&rdquo; refers to the plugin that we provide for WordPress sites, known as &ldquo;ApproveMe&rdquo;;<br /><br />
  &ldquo;Service&rdquo; refers to the services that we provide online, including our Plugin and our Site;<br /><br />
  &ldquo;Site&rdquo; refers to our website, <a href="https://www.approveme.com">https://www.approveme.com</a>;<br /><br />
  &ldquo;User&rdquo; refers to anyone who uses our Service, including users of our Plugin and general visitors to our Site;<br /><br />
  &ldquo;You&rdquo; refers to you, the person who is entering into this Agreement with ApproveMe.<br />', 'esig' );?>
  <strong><u><br />
  <?php _e('3. How ApproveMe Works', 'esig' );?></u></strong><br />
  <?php _e('ApproveMe&rsquo;s WP E-Signature provides you on-demand electronic signature services using a WordPress based website, which includes online uploads, display, delivery, acknowledgment and electronic signature for eContracts (the "Services"). ', 'esig' );?>
  <br />
  <strong><u><br />
  <?php _e('4. Eligibility', 'esig' );?></u></strong><br />
<?php _e('In order to use our Service, you must meet a number of conditions, including but not limited to:', 'esig' );?></p>
<ul>
  <li>•  <?php _e('You must not be in violation of any embargoes, export controls, or other laws of the United States or other countries having jurisdiction over this Agreement, ApproveMe, and yourself. For example, if the Office of Foreign Assets Control prohibits conducting financial transactions with nationals, residents, or banks of your country, you must not use our Service.', 'esig' );?></li><br />
  <li>•  <?php _e('You must be the minimum age required to enter into a contract in the area in which you reside, and, in any event, must not be less than 18 years of age.', 'esig' );?></li><br />
  <li>•  <?php _e('You must not enter into this Agreement on behalf of any natural person other than yourself.', 'esig' );?></li><br />
  <li>•  <?php _e('You must, if entering into this Agreement on behalf of a person other than a natural person, be authorized to do so, and you hereby agree that both you and that person shall be bound by this Agreement and be held jointly and severally liable for any breaches hereof.', 'esig' );?></li><br />
  <li>•  <?php _e('You must not be using our Service to collect credit card data, payment information, or Social Security Number information unless using a PCI-compliant server environment to do so.', 'esig' );?></li><br />
  <li>•  <?php _e('You must provide us with personal information, payment information, and other information that we deem necessary to provide you with our Service.', 'esig' );?></li><br />
</ul>
<p><strong><u><?php _e('5. Additional Service Disclaimers', 'esig' );?></u></strong><br />
  <?php _e('ApproveMe&rsquo;s Plugin is only designed to allow for electronic signatures online. We make no representations about which courts of law will or will not recognize any given signature. You understand that we are not attorney&rsquo;s and cannot give any legal opinion or advice on whether a signature executed through our Plugin will be binding in any jurisdiction or court. It is important that you understand the signature and execution requirements of your jurisdiction before using our Plugin. Furthermore, certain documents (such as those regarding real estate transactions) may not be recognized using our Service if a notary is required to witness the signing of such documents. Finally, ApproveMe is not responsible for the contents or enforceability of any documents that it is used to sign. You agree that ApproveMe is not liable for any loss that you may incur as the result of the use of our Service, and you are advised to obtain the assistance of qualified legal counsel to ensure that your signed documents are enforceable in a court of law. Support Credentials:
By creating login access to your site and providing them to ApproveMe for premium support, you hereby agree not to hold ApproveMe and / or its employees/contractors as responsible in any way for any loss or damage of any kind resulting from sharing access credentials to your website.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('6. Rules of Use', 'esig' );?></u></strong><br />
  <?php _e('As a condition of using our Service, you must not:', 'esig' );?></p>
<ul>
  <li>•  <?php _e('Violate the laws of the United States, its states, or any foreign political entity having jurisdiction over this Agreement, whether or not the foreign political entity is a country or a subdivision (such as a state or province) or municipality (such as a city, town, county, or region) of a foreign country.', 'esig' );?></li><br />
  <li>•  <?php _e('Post or send anything violent, threatening, pornographic, racist, hateful, or otherwise objectionable according to the opinion of ApproveMe, including on the website in relation to which you use our Plugin.', 'esig' );?></li><br />
  <li>•  <?php _e('Infringe on anyone&rsquo;s intellectual property rights, defame anyone, impersonate anyone, or otherwise violate the rights of a third party.', 'esig' );?></li><br />
  <li>•  <?php _e('Hack, crack, phish, SQL inject, or otherwise compromise the security or integrity of the ApproveMe Site, Service, or its Users&rsquo; computers.', 'esig' );?></li><br />
  <li>•  <?php _e('Attempt to reverse engineer or otherwise redistribute our Plugin.', 'esig' ); ?></li><br />
  <li>•  <?php _e('Do anything else which could bring our Service into disrepute or violate the rights of any person.', 'esig' );?></li><br />
</ul>
<p><strong><u><?php _e('7. Payment and Refund Policy', 'esig' );?></u></strong><br />
  <?php _e('If you wish to purchase or use our Service, payment can be made by means of PayPal or a credit card through our third party payment provider, Stripe. Unless otherwise stated, all prices are listed in United States dollars.<br />
  Users having problems or issues with the premium paid add-on Plugin, should contact us within 30 days of purchase. Users experiencing such problems or issues within the 30 day period may be entitled to a full refund. After 30 days, no refunds will be given. As a condition to receiving a refund within 30 days, Users must contact us and open up a support ticket. Once a support ticket has been opened up, we will attempt to fix the problem, if the problem is not fixed to the User&rsquo;s satisfaction a refund will then be granted. Please note that refunds will not be granted if a User simply decides not to use the purchased services. We stand behind our services and will make all reasonable efforts to assist you in solving any problems you may have with our Plugin.</p>
<p>Where fees are payable for any component of the ApproveMe Service, these fees are payable in advance and we may, in our sole discretion, suspend any aspect of the ApproveMe Service for which you have not paid. Without prejudice to any of ApproveMe&rsquo;s rights contained elsewhere in this Agreement, you agree that we are entitled to discontinue the provision of our Service to you if you fail to pay for our Service and we may delete any data held by us in relation to the provision of your Service.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('8. Discounts', 'esig' );?></u></strong><br />
  <?php _e('ApproveMe may, but is not obligated to, provide discounts in the form of coupon codes or otherwise. Such discounts will be subject to any conditions placed upon them at the time that they are promoted (including expiry dates, limiting them to a specific class of persons, etc.). Discounts are non-transferable and ApproveMe may refuse to honor them for any reason including, but not limited to, fraud, mistake on the part of our publication of information, actual or expected financial hardship, sale of all or part of our business, or any other reason.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('9. Chargebacks, Credit Card Cancellations, and PayPal Disputes', 'esig' );?></u></strong><br />
  <?php _e('Where a User conducts a chargeback against ApproveMe, such User shall be liable to ApproveMe for the full amount of the chargeback, as well as any attorneys&rsquo; fees, collection agency fees, court costs, disbursements, and any other expenses occurred by ApproveMe in enforcing its rights against that User under this section.<br />
  Additionally, should a credit card be declined for any reason including but not limited to expiry or insufficient credit, ApproveMe may pursue a claim against you for the unpaid amount and shall be entitled to be paid by you for the same costs, disbursements and other expenses as described in the above paragraph relating to chargebacks.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('10. WordPress License and Updates', 'esig' );?></u></strong><br />
  <?php _e('The WordPress Plugin created by ApproveMe is licensed under the&nbsp;GNU general public license. This does not mean our products are free in all circumstances. For the premium Plugin, Users must first purchase our products before using them. While all of the WordPress-interactive code of our product is licensed under the GPL, all other code contained within the Plugin is proprietary to ApproveMe. Please review the licensing terms included with any purchases for the terms that apply to it. We offer you a limited, non-exclusive, fully revocable <a href="https://www.approveme.com/extension-license-terms/">license to use our Plugin</a>. You agree to abide by our license when using our Plugin and also to abide by any additional terms required by the GNU general public license. You agree that you will not attempt to modify, enhance or change our Service or Plugin in any way.</p>
<p>WordPress may update its software from time to time. When this occurs, our Plugin may cease to be compatible or may have vulnerabilities or other issues should you choose to accept such updates. You agree that when WordPress updates its software, you will either cease using our Plugin unless we declare our Plugin to be compatible with the new version, decline to accept the WordPress software update, or update your version of WordPress software and continue using our Plugin but do so at your own risk.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('11. Our Copyright', 'esig' ); ?></u></strong><br />
  <?php _e('ApproveMe values its copyright as it distinguishes us from our competitors. Our copyright encompasses every original work that we have produced to the maximum extent permitted by law, including but not limited to our Site, our Plugin, and their underlying code. You agree not to copy, distribute, display, disseminate, or otherwise reproduce any of the information on the Site without receiving our prior written permission.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('12. Trademarks', 'esig' );?></u></strong><br />
  <?php _e('&ldquo;ApproveMe&rdquo; and &ldquo;RockStar(idea) are trademarks used by us, RockStar(idea), to uniquely identify our Site, Service, and business. You agree not to use these phrases anywhere without our prior written consent. Additionally, you agree not to use our trade dress, or copy the look and feel of our website or its design, without our prior written consent. You agree that this paragraph goes beyond the governing law on intellectual property law, and includes prohibitions on any competition that violates the provisions of this paragraph, including starting your own competing business.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('13. Revocation of Consent', 'esig' );?></u></strong><br />
  <?php _e('We may revoke our consent for your use of our intellectual property, or any other permission granted to you under this Agreement, at any time. You agree that if we so request, you must take immediate action to remove any usage of our intellectual property that you may have engaged in, even if it would cause a loss to you. Such require removal shall include our Plugin and its underlying code should we request it.', 'esig' ); ?><br />
  <strong><u><br />
  <?php _e('14. Representations &amp; Warranties, Limitation of Liability', 'esig' );?></u></strong><br />
  <?php _e('OUR SERVICES AND PLUGIN ARE OFFERED &ldquo;AS IS&rdquo; AND WITH &ldquo;ALL FAULTS.&rsquo; WE MAKE NO REPRESENTATIONS OR WARRANTIES AS TO THE MERCHANTABILITY OF OUR SERVICE OR FITNESS FOR ANY PARTICULAR PURPOSE. WE SPECIFICALLY DISCLAIM ANY AND ALL IMPLIED WARRANTIES. YOU AGREE THAT YOU ARE RELEASING US FROM ANY LIABILITY THAT WE MAY OTHERWISE HAVE TO YOU IN RELATION TO OR ARISING FROM THIS AGREEMENT OR OUR SERVICES, FOR REASONS INCLUDING, BUT NOT LIMITED TO, FAILURE OF OUR SERVICE, NEGLIGENCE, OR ANY OTHER TORT. TO THE EXTENT THAT APPLICABLE LAW RESTRICTS THIS RELEASE OF LIABILITY, YOU AGREE THAT WE ARE ONLY LIABLE TO YOU FOR THE MINIMUM AMOUNT OF DAMAGES THAT THE LAW RESTRICTS OUR LIABILITY TO, IF SUCH A MINIMUM EXISTS.</p>
<p>YOU AGREE THAT WE ARE NOT RESPONSIBLE IN ANY WAY FOR DAMAGES CAUSED BY THIRD PARTIES WHO MAY USE OUR SERVICES, INCLUDING BUT NOT LIMITED TO PEOPLE WHO COMMIT INTELLECTUAL PROPERTY INFRINGEMENT, DEFAMATION, TORTIOUS INTERFERENCE WITH ECONOMIC RELATIONS, OR ANY OTHER ACTIONABLE CONDUCT TOWARDS YOU.</p>
<p>YOU AGREE THAT WE ARE NOT RESPONSIBLE FOR ANY ACTS OR OMISSIONS COMMITTED BY THE COUNTERPARTY OR COUNTERPARTIES TO ANY DOCUMENTS THAT YOU SIGN USING OUR SERVICE AND THAT YOU ARE ADVISED BY US TO OBTAIN QUALIFIED LEGAL COUNSEL TO DETERMINE WHETHER THE DOCUMENTS YOU ARE HAVING SIGNED WILL BE ENFORCEABLE IN THE COURT OR COURTS OF LAW IN WHICH YOU MAY WISH TO HAVE THEM ADMITTED AS EVIDENCE NOW OR AS SOME DATE IN THE FUTURE.</p>
<p>YOU AGREE THAT WE ARE NOT RESPONSIBLE FOR ANY FAILURE ON THE PART OF A PAYMENT PROCESSOR, INCLUDING PAYPAL OR THE CREDIT CARD COMPANY OR BANK THAT YOU USE TO FUND PAYPAL, TO DIRECT PAYMENTS TO THE CORRECT DESTINATION, OR ANY ACTIONS ON THEIR PART IN PLACING A HOLD ON YOUR FUNDS.</p>
<p>YOU AGREE THAT WE ARE NOT LIABLE FOR ANY FAILURE OF THE GOODS OR SERVICES OF OUR COMPANY OR A THIRD PARTY, INCLUDING ANY FAILURES OR DISRUPTIONS, UNTIMELY DELIVERY, SCHEDULED OR UNSCHEDULED, INTENTIONAL OR UNINTENTIONAL, ON OUR WEBSITE WHICH PREVENT ACCESS TO OUR WEBSITE TEMPORARILY OR PERMANENTLY.</p>
<p>THE PROVISION OF OUR SERVICE TO YOU IS CONTINGENT ON YOUR AGREEMENT WITH THIS AND ALL OTHER SECTIONS OF THIS AGREEMENT. NOTHING IN THE PROVISIONS OF THIS &ldquo;REPRESENTATIONS &amp; WARRANTIES&rdquo; SECTION SHALL BE CONSTRUED TO LIMIT THE GENERALITY OF THE FIRST PARAGRAPH OF THIS SECTION.</p>
<p><strong><em>For Jurisdictions that do not allow us to limit our liability:</em></strong> Notwithstanding any provision of these Terms, if your jurisdiction has provisions specific to waiver or liability that conflict with the above then our liability is limited to the smallest extent possible by law. Specifically, in those jurisdictions not allowed, we do not disclaim liability for: (a) death or personal injury caused by its negligence or that of any of its officers, employees or agents; or (b) fraudulent misrepresentation; or (c) any liability which it is not lawful to exclude either now or in the future.</p>
<p>IF YOU ARE A RESIDENT OF A JURISDICTION THAT REQUIRES A SPECIFIC STATEMENT REGARDING RELEASE THEN THE FOLLOWING APPLIES. FOR EXAMPLE, CALIFORNIA RESIDENTS MUST, AS A CONDITION OF THIS AGREEMENT, WAIVE THE APPLICABILITY OF CALIFORNIA CIVIL CODE SECTION 1542, WHICH STATES, &ldquo;A GENERAL RELEASE DOES NOT EXTEND TO CLAIMS WHICH THE CREDITOR DOES NOT KNOW OR SUSPECT TO EXIST IN HIS OR HER FAVOR AT THE TIME OF EXECUTING THE RELEASE, WHICH IF KNOWN BY HIM OR HER MUST HAVE MATERIALLY AFFECTED HIS OR HER SETTLEMENT WITH THE DEBTOR.&quot; YOU HEREBY WAIVE THIS SECTION OF THE CALIFORNIA CIVIL CODE. YOU HEREBY WAIVE ANY SIMILAR PROVISION IN LAW, REGULATION, OR CODE THAT HAS THE SAME INTENT OR EFFECT AS THE AFOREMENTIONED RELEASE. YOU AGREE THE TOTAL LIABILITY WE MAY HAVE TO YOU IS LIMITED TO $100 USD.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('15. Indemnity', 'esig' );?></u></strong><br />
  <?php _e('You agree to indemnify and hold us harmless for any claims by you or any third party which may arise from or relate to this Agreement or the provision of our service to you, including any damages caused by your use of our Service. You also agree that you have a duty to defend us against such claims and we may require you to pay for an attorney(s) of our choice in such cases. You agree that this indemnity extends to requiring you to pay for our reasonable attorneys&rsquo; fees, court costs, and disbursements. In the event of a claim such as one described in this paragraph, we may elect to settle with the party/parties making the claim, and you shall be liable for the damages as though we had proceeded with a trial.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('16. Choice of Law', 'esig' );?></u></strong><br />
  <?php _e('This Agreement shall be governed by the laws in force in the State of California, including federal, state, and municipal laws applicable in the State of California, to the exclusion of all other laws to the extent that the application of other laws may be excluded. The offer and acceptance of this Agreement, which is a valid and binding contract to which you are agreeing, are deemed to have occurred in the State of California.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('17. Forum of Dispute', 'esig' );?></u></strong><br />
  <?php _e('Any controversy or claim arising out of or relating to this Agreement, or the breach thereof, shall be settled by arbitration administered by the American Arbitration Association under its Commercial Arbitration Rules, shall be heard by one arbitrator, and judgment on the award rendered by the arbitrator(s) may be entered in any court having jurisdiction thereof. You agree that all arbitration disputes will be heard in the city of Los Angeles, CA. <br />
  <br />
  If you bring a dispute in a manner other than in accordance with this section (such as initiating it with a court rather than through the arbitration process), you agree that we may move to have it dismissed, and that you will be responsible for our reasonable attorneys&rsquo; fees, court costs, and disbursements in doing so.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('18. Force Majeure', 'esig' );?></u></strong><br />
  <?php _e('You agree that we are not responsible to you for anything that we may otherwise be responsible for, if it is the result of events beyond our control, including, but not limited to, acts of God, war, insurrection, riots, terrorism, crime, labor shortages (including lawful and unlawful strikes), embargoes, postal disruption, communication disruption, unavailability of payment processors, failure or shortage of infrastructure, shortage of materials, or any other event beyond our control.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('19. Severability', 'esig' );?></u></strong><br />
  <?php _e('In the event that a provision of this Agreement is found to be unlawful, conflicting with another provision of the Agreement, or otherwise unenforceable, the Agreement will remain in force as though it had been entered into without that unenforceable provision being included in it.<br />
  If two or more provisions of this Agreement are deemed to conflict with each other&rsquo;s operation, ApproveMe shall have the sole right to elect which provision remains in force.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('20. Non-Waiver', 'esig' );?></u></strong><br />
  <?php _e('ApproveMe reserves all rights afforded to us under this Agreement as well as under the provisions of any applicable law. Our non-enforcement of any particular provision or provisions of this Agreement or any applicable law should not be construed as our waiver of the right to enforce that same provision under the same or different circumstances at any time in the future.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('21. Termination &amp; Cancellation', 'esig' );?></u></strong><br />
  <?php _e('If you wish to terminate your license to use our Plugin, please contact us at <a href="mailto:support@approveme.com">support@approveme.com</a>. We may terminate your access to our Site, Plugin, and Service at our discretion without explanation, though we will strive to provide a timely explanation in most cases. Unless otherwise stated within this Agreement, no refunds will be extended to Users upon termination of the Plugin, Site or Service by either party.<br />
  Under no circumstances, including termination or cancellation of our Service to you, will we be liable for any losses related to actions of other Users.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('22. Assignment of Rights', 'esig' );?></u></strong><br />
  <?php _e('You may not assign your rights and/or obligations under this Agreement to any other party without our prior written consent. We may assign our rights and/or obligations under this Agreement to any other party at our discretion.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('23. Amendments', 'esig' );?></u></strong><br />
  <?php _e('We may amend this Agreement from time to time. When we amend this Agreement, we will update this page accordingly and we will require you to accept the amended version before you may continue using our Service.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('24. California Users and Residents', 'esig' );?></u></strong><br />
  <?php _e('Pursuant to <em>California Civil Code</em> Section 1789.3, any questions about pricing, complaints, or inquiries about ApproveMe must be addressed to our agent for notice and sent via certified mail to that agent. For our agent&rsquo;s most current contact information, please send a request to <a href="mailto:curious@approveme.com">curious@approveme.com</a>.<br /><br />
  Lastly, California users are also entitled to the following specific consumer rights notice: The Complaint Assistance Unit of the Division of Consumer Services of the California Department of Consumer Affairs may be contacted in writing at 1625 North Market Blvd., Sacramento, CA 95834, or by telephone at (916) 445-1254 or (800) 952-5210.', 'esig' );?><br />
  <strong><u><br />
  <?php _e('25. HIPAA Disclaimer', 'esig' );?></u></strong><br />
  <?php _e('The Service and the Plugin are not HIPAA complaint. Therefore, users who collect &ldquo;protected health information&rdquo; as defined under the Health Insurance Portability and Accountability Act must understand that we cannot be responsible for any liability regarding your failure to comply with HIPAA. You agree to indemnify us and hold us harmless for your failure to comply with HIPAA.<br />
  Last Modified: September 30, 2014', 'esig' );?></p>

</div>
